summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ham/xgridloc/README14
-rw-r--r--ham/xgridloc/slack-desc19
-rw-r--r--ham/xgridloc/xgridloc.SlackBuild99
-rw-r--r--ham/xgridloc/xgridloc.info10
-rw-r--r--ham/xgridloc/xgridlocrc.patch16
5 files changed, 158 insertions, 0 deletions
diff --git a/ham/xgridloc/README b/ham/xgridloc/README
new file mode 100644
index 0000000000..56a30f996e
--- /dev/null
+++ b/ham/xgridloc/README
@@ -0,0 +1,14 @@
+xgridloc is a GTK+ graphical version of gridloc and performs
+the same basic functions, but additionally it can use xplanet
+to display the home and DX locations and the great circle
+path between them.
+
+gridloc is a program that accepts latitude and longitude and
+returns the Maidenhead grid locator.
+
+By default, xgridloc wants to install .xgridlocrc to the
+installing user's $HOME. This SlackBuild patches that out
+of make install, and instead drops it in the doc directory
+so that end users can copy it down themselves.
+
+xplanet is an optional dependency.
diff --git a/ham/xgridloc/slack-desc b/ham/xgridloc/slack-desc
new file mode 100644
index 0000000000..236883273a
--- /dev/null
+++ b/ham/xgridloc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xgridloc: xgridloc (Maidenhead grid square locator program for X)
+xgridloc:
+xgridloc: xgridloc is a Maidenhead grid square locator for the X
+xgridloc: environment using a GTK+2 interface.
+xgridloc:
+xgridloc:
+xgridloc:
+xgridloc:
+xgridloc:
+xgridloc: Homepage: http://www.qsl.net/5b4az/
+xgridloc:
diff --git a/ham/xgridloc/xgridloc.SlackBuild b/ham/xgridloc/xgridloc.SlackBuild
new file mode 100644
index 0000000000..06405a1055
--- /dev/null
+++ b/ham/xgridloc/xgridloc.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+# Slackbuild for xgridloc
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=xgridloc
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Patch to remove automatic .xgridlocrc move into $HOME:
+patch -p0 < $CWD/xgridlocrc.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README doc/* default/.xgridlocrc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/xgridloc/xgridloc.info b/ham/xgridloc/xgridloc.info
new file mode 100644
index 0000000000..83a7756c8c
--- /dev/null
+++ b/ham/xgridloc/xgridloc.info
@@ -0,0 +1,10 @@
+PRGNAM="xgridloc"
+VERSION="1.5"
+HOMEPAGE="http://www.qsl.net/5b4az/"
+DOWNLOAD="http://www.qsl.net/5b4az/pkg/locator/xgridloc/xgridloc-1.5.tar.bz2"
+MD5SUM="8f74a3e0f75f129b846bf6e7d5b5dba3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/xgridloc/xgridlocrc.patch b/ham/xgridloc/xgridlocrc.patch
new file mode 100644
index 0000000000..6317b373e0
--- /dev/null
+++ b/ham/xgridloc/xgridlocrc.patch
@@ -0,0 +1,16 @@
+--- Makefile.in 2013-10-08 07:00:17.000000000 -0500
++++ Makefile.in.fixed 2014-07-13 01:12:54.405819192 -0500
+@@ -821,13 +821,6 @@
+ done \
+ fi
+
+- if test -f $(HOME)/.$(PACKAGE)rc; then \
+- echo Config file exists: $(HOME)/.$(PACKAGE)rc - not copying; \
+- else \
+- echo Copying $(PACKAGE) config file to $(HOME)/.$(PACKAGE); \
+- cp $(srcdir)/default/.$(PACKAGE)rc $(HOME); \
+- fi
+-
+ dist-hook:
+ if test -d pixmaps; then \
+ mkdir $(distdir)/pixmaps; \